=== requirements.txt ===
pcre,ftp://ftp.csx.cam.ac.uk/pub/software/programming/pcre/pcre-8.39.tar.bz2 -H sha256:b858099f82483031ee02092711689e7245586ada49e534a06e678b8ea9549e8b
