=== debian/changelog ===
cppcheck (1.88-1) unstable; urgency=medium

  * New upstream release.

 -- Joachim Reichel <reichel@debian.org>  Wed, 03 Jul 2019 21:07:06 +0200

cppcheck (1.87-1) unstable; urgency=medium

  * New upstream release.
  * Add Rules-Requires-Root: no to debian/control.

 -- Joachim Reichel <reichel@debian.org>  Sat, 02 Mar 2019 16:37:27 +0100
