## cppcheck 1.89

=== Makefile ===
--- 
+++ 
@@ -21,10 +21,10 @@
     libcppdir:=lib
 endif
 
-ifdef CFGDIR
-    CFG=-DCFGDIR=\"$(CFGDIR)\"
+ifdef FILESDIR
+    CPPFILESDIR=-DFILESDIR=\"$(FILESDIR)\"
 else
-    CFG=
+    CPPFILESDIR=
 endif
 
 RDYNAMIC=-rdynamic
@@ -85,6 +85,15 @@
 ifndef CXXFLAGS
     CXXFLAGS=-std=c++0x -O2 -DNDEBUG -Wall -Wno-sign-compare
 endif
+
+# Increase stack size for Cygwin builds to avoid segmentation fault in limited recursive tests.
+ifdef COMSPEC
+    uname_S := $(shell uname -s)
+
+    ifneq (,$(findstring CYGWIN,$(uname_S)))
+        CXXFLAGS+=-Wl,--stack,8388608
+    endif # CYGWIN
+endif # COMSPEC
 
 ifeq (g++, $(findstring g++,$(CXX)))
     override CXXFLAGS += -std=c++0x
@@ -294,21 +303,31 @@
 install: cppcheck
 	install -d ${BIN}
 	install cppcheck ${BIN}
-	install addons/*.py ${BIN}
-	install addons/*/*.py ${BIN}
 	install htmlreport/cppcheck-htmlreport ${BIN}
-ifdef CFGDIR 
-	install -d ${DESTDIR}${CFGDIR}
-	install -m 644 cfg/* ${DESTDIR}${CFGDIR}
+ifdef FILESDIR
+	install -d ${DESTDIR}${FILESDIR}
+	install -d ${DESTDIR}${FILESDIR}/addons
+	install -m 644 addons/*.py ${DESTDIR}${FILESDIR}/addons
+	install -d ${DESTDIR}${FILESDIR}/cfg
+	install -m 644 cfg/*.cfg ${DESTDIR}${FILESDIR}/cfg
+	install -d ${DESTDIR}${FILESDIR}/platforms
+	install -m 644 platforms/*.xml ${DESTDIR}${FILESDIR}/platforms
+else
+	$(error FILESDIR must be set!)
 endif
 
 uninstall:
 	@if test -d ${BIN}; then \
-	  files="cppcheck cppcheck-htmlreport \
-	    `ls -d addons/*.py addons/*/*.py 2>/dev/null | sed 's,^.*/,,'`"; \
+	  files="cppcheck cppcheck-htmlreport"; \
 	  echo '(' cd ${BIN} '&&' rm -f $$files ')'; \
 	  ( cd ${BIN} && rm -f $$files ); \
 	fi
+ifdef FILESDIR 
+	@if test -d ${DESTDIR}${FILESDIR}; then \
+	  echo rm -rf ${DESTDIR}${FILESDIR}; \
+	  rm -rf ${DESTDIR}${FILESDIR}; \
+	fi
+endif
 ifdef CFGDIR 
 	@if test -d ${DESTDIR}${CFGDIR}; then \
 	  files="`cd cfg 2>/dev/null && ls`"; \
@@ -348,12 +367,9 @@
 
 checkCWEEntries: /tmp/errorlist.xml
 	./tools/listErrorsWithoutCWE.py -F /tmp/errorlist.xml
+
 ###### Build
 
 $(libcppdir)/analyzerinfo.o: lib/analyzerinfo.cpp lib/analyzerinfo.h lib/config.h lib/errorlogger.h lib/suppressions.h lib/importproject.h lib/platform.h lib/utils.h lib/path.h
-	$(CXX) ${INCLUDE_FOR_LIB} $(CPPFLAGS) $(CFG) $(CXXFLAGS) $(UNDEF_STRICT_ANSI) -c -o $(libcppdir)/analyzerinfo.o $(libcppdir)/analyzerinfo.cpp
-
-$(libcppdir)/astutils.o: lib/astutils.cpp lib/astutils.h lib/errorlogger.h lib/config.h lib/suppressions.h lib/library.h lib/mathlib.h lib/standards.h lib/settings.h lib/importproject.h lib/platform.h lib/utils.h lib/timer.h lib/symboldatabase.h lib/token.h lib/valueflow.h lib/templatesimplifier.h
-	$(CXX) ${INCLUDE_FOR_LIB} $(CPPFLAGS) $(CFG) $(CXXFLAGS) $(UNDEF_STRICT_ANSI) -c -o $(libcppdir)/astutils.o $(libcppdir)/astutils.cpp
-
-$(libcppdir)/check.o: lib/check.cpp lib/check.h lib/config.h lib/errorlogger.h lib/suppressions.h lib/settings.h lib/importproject.h lib/platform.h lib/utils.h lib/library.h lib/mathlib.h lib/standards.h lib/timer.h lib/token.h lib/valueflow.h lib/templatesimplifier.h lib/tokenize.h lib/tokenlist.h
+	$(CXX) ${INCLUDE_FOR_LIB} $(CPPFLAGS) $(CPPFILESDIR) $(CXXFLAGS) $(UNDEF_STRICT_ANSI) -c -o $(libcppdir)/analyzerinfo.o $(libcppdir)/analyzerinfo.cpp
+
