=== debian/changelog ===
cppcheck (1.89-4) unstable; urgency=medium

  * Add patch bug-9359: Loosen check to ignore char vs signed char vs
    unsigned char.

 -- Joachim Reichel <reichel@debian.org>  Sat, 05 Oct 2019 12:46:53 +0200

cppcheck (1.89-3) unstable; urgency=medium

  * Fix patch fix-default-settings: do not use FILESDIR in tryLoadLibrary(),
    use separate cppcheck binary with different FILESDIR setting for tests.

 -- Joachim Reichel <reichel@debian.org>  Tue, 01 Oct 2019 03:07:56 +0200

cppcheck (1.89-2) unstable; urgency=medium

  * Fix patch fix-default-settings: remove "cfg" path component from
    FILESDIR, use FILESDIR in tryLoadLibrary().

 -- Joachim Reichel <reichel@debian.org>  Mon, 30 Sep 2019 21:33:05 +0200

cppcheck (1.89-1) unstable; urgency=medium

  * New upstream release.
  * Remove redundant X-Python-Version: from debian/control.
  * Update Standards-Version to 4.4.1 (no changes needed).

 -- Joachim Reichel <reichel@debian.org>  Mon, 30 Sep 2019 19:45:13 +0200
