=== debian/control ===
--- 
+++ 
@@ -5,10 +5,9 @@
 Build-Depends: debhelper (>= 11), dpkg-dev (>= 1.15.7~), xsltproc, docbook-xsl,
   docbook-xml, libpcre3-dev, libtinyxml2-dev (>= 6.2.0+dfsg), qt5-qmake, qtbase5-dev,
   qtbase5-dev-tools, gdb, dh-python, python3-all
-Standards-Version: 4.3.0
+Standards-Version: 4.4.1
 Rules-Requires-Root: no
 Homepage: http://sourceforge.net/p/cppcheck/wiki/Home/
-X-Python3-Version: >= 3.5
 
 Package: cppcheck
 Architecture: any
