=== debian/rules ===
--- 
+++ 
@@ -13,11 +13,8 @@
 DESTDIR_GUI = $(CURDIR)/debian/cppcheck-gui
 
 override_dh_auto_build:
-	echo ld $LDFLAGS
-	echo env
-	set
-	[ -f externals/tinyxml ] || mv externals/tinyxml externals/tinyxml.disabled
-	dh_auto_build -- CFGDIR=/usr/share/cppcheck/cfg HAVE_RULES=yes LIBS=-ltinyxml2 \
+	[ ! -d externals/tinyxml ] || mv externals/tinyxml externals/tinyxml.disabled
+	dh_auto_build -- MATCHCOMPILER=yes FILESDIR=/usr/share/cppcheck HAVE_RULES=yes LIBS=-ltinyxml2 \
 		INCLUDE_FOR_LIB="-Ilib -Iexternals -Iexternals/simplecpp" \
 		INCLUDE_FOR_CLI="-Ilib -Iexternals/simplecpp" \
 		INCLUDE_FOR_TEST="-Ilib -Icli -Iexternals/simplecpp"
@@ -32,14 +29,20 @@
 	[ ! -f gui/Makefile ] || $(MAKE) -C gui clean
 	rm -f gui/Makefile gui/cppcheck-gui gui/.qmake.stash
 	rm -f debian/cppcheck-htmlreport.1
+	rm -rf build
+	rm -f cppcheck.regular_build
 	[ ! -d externals/tinyxml.disabled ] || mv externals/tinyxml.disabled externals/tinyxml
 
 override_dh_auto_test:
 ifeq (,$(filter nocheck,$(DEB_BUILD_OPTIONS)))
-	dh_auto_test -- CFGDIR=/usr/share/cppcheck/cfg HAVE_RULES=yes LIBS=-ltinyxml2 \
+	# backup main binary with FILESDIR=/usr/share/cppcheck
+	mv cppcheck cppcheck.regular_build 
+	dh_auto_test -- MATCHCOMPILER=yes FILESDIR=$(CURDIR) HAVE_RULES=yes LIBS=-ltinyxml2 \
 		INCLUDE_FOR_LIB="-Ilib -Iexternals -Iexternals/simplecpp" \
 		INCLUDE_FOR_CLI="-Ilib -Iexternals/simplecpp" \
 		INCLUDE_FOR_TEST="-Ilib -Icli -Iexternals/simplecpp"
+	# restore main binary with FILESDIR=/usr/share/cppcheck
+	mv cppcheck.regular_build cppcheck
 endif
 
 override_dh_auto_install:
