## cppcheck 1.90

=== CMakeLists.txt ===
--- 
+++ 
@@ -13,7 +13,9 @@
 
 use_cxx11()
 
+file(GLOB addons "addons/*.py")
 file(GLOB cfgs "cfg/*.cfg")
+file(GLOB platforms "platforms/*.xml")
 
 if (BUILD_TESTS)
     enable_testing()
