=== Makefile ===
--- 
+++ 
@@ -5,16 +5,32 @@
     HAVE_RULES=no
 endif
 
+ifndef USE_Z3
+    USE_Z3=no
+endif
+
+ifeq ($(USE_Z3),yes)
+    CPPFLAGS += -DUSE_Z3
+    LIBS += -lz3
+endif
 # use match compiler
 ifeq ($(SRCDIR),build)
-    $(warning Usage of SRCDIR to acticate match compiler is deprecated. Use MATCHCOMPILER=yes instead.)
+    $(warning Usage of SRCDIR to activate match compiler is deprecated. Use MATCHCOMPILER=yes instead.)
     MATCHCOMPILER:=yes
 endif
 ifeq ($(MATCHCOMPILER),yes)
+    # Find available Python interpreter
+    PYTHON_INTERPRETER := $(shell which python)
+    ifndef PYTHON_INTERPRETER
+        PYTHON_INTERPRETER := $(shell which python3)
+    endif
+    ifndef PYTHON_INTERPRETER
+        $(error Did not find a Python interpreter)
+    endif
     ifdef VERIFY
-        matchcompiler_S := $(shell python tools/matchcompiler.py --verify)
+        matchcompiler_S := $(shell $(PYTHON_INTERPRETER) tools/matchcompiler.py --verify)
     else
-        matchcompiler_S := $(shell python tools/matchcompiler.py)
+        matchcompiler_S := $(shell $(PYTHON_INTERPRETER) tools/matchcompiler.py)
     endif
     libcppdir:=build
 else
@@ -171,13 +187,16 @@
               $(libcppdir)/cppcheck.o \
               $(libcppdir)/ctu.o \
               $(libcppdir)/errorlogger.o \
+              $(libcppdir)/exprengine.o \
               $(libcppdir)/importproject.o \
               $(libcppdir)/library.o \
               $(libcppdir)/mathlib.o \
               $(libcppdir)/path.o \
+              $(libcppdir)/pathanalysis.o \
               $(libcppdir)/pathmatch.o \
               $(libcppdir)/platform.o \
               $(libcppdir)/preprocessor.o \
+              $(libcppdir)/programmemory.o \
               $(libcppdir)/settings.o \
               $(libcppdir)/suppressions.o \
               $(libcppdir)/symboldatabase.o \
@@ -213,6 +232,7 @@
               test/testcppcheck.o \
               test/testerrorlogger.o \
               test/testexceptionsafety.o \
+              test/testexprengine.o \
               test/testfilelister.o \
               test/testfunctions.o \
               test/testgarbage.o \
@@ -345,6 +365,7 @@
 %.checked:%.cfg
 	xmllint --noout --relaxng cfg/cppcheck-cfg.rng $<
 validateCFG: ${ConfigFilesCHECKED}
+	xmllint --noout cfg/cppcheck-cfg.rng
 
 # Validation of platforms files:
 PlatformFiles := $(wildcard platforms/*.xml)
@@ -358,18 +379,9 @@
 /tmp/errorlist.xml: cppcheck
 	./cppcheck --errorlist >$@
 /tmp/example.xml: cppcheck
-	./cppcheck --xml --enable=all --inconclusive --suppress=operatorEqVarError:*check.h -j 4 cli externals gui lib test 2>/tmp/example.xml
+	./cppcheck --xml --enable=all --inconclusive --suppress=operatorEqVarError:*check.h --max-configs=1 -j 4 cli externals gui lib test 2>/tmp/example.xml
 createXMLExamples:/tmp/errorlist.xml /tmp/example.xml
 .PHONY: validateXML
 validateXML: createXMLExamples
+	xmllint --noout cppcheck-errors.rng
 	xmllint --noout --relaxng cppcheck-errors.rng /tmp/errorlist.xml
-	xmllint --noout --relaxng cppcheck-errors.rng /tmp/example.xml
-
-checkCWEEntries: /tmp/errorlist.xml
-	./tools/listErrorsWithoutCWE.py -F /tmp/errorlist.xml
-
-###### Build
-
-$(libcppdir)/analyzerinfo.o: lib/analyzerinfo.cpp lib/analyzerinfo.h lib/config.h lib/errorlogger.h lib/suppressions.h lib/importproject.h lib/platform.h lib/utils.h lib/path.h
-	$(CXX) ${INCLUDE_FOR_LIB} $(CPPFLAGS) $(CPPFILESDIR) $(CXXFLAGS) $(UNDEF_STRICT_ANSI) -c -o $(libcppdir)/analyzerinfo.o $(libcppdir)/analyzerinfo.cpp
-
