=== cli/CMakeLists.txt ===
--- 
+++ 
@@ -23,6 +23,15 @@
     RUNTIME DESTINATION ${CMAKE_INSTALL_FULL_BINDIR}
     COMPONENT applications)
 
+install(FILES ${addons}
+   DESTINATION ${FILESDIR}/addons
+   COMPONENT headers)
+
 install(FILES ${cfgs}
-   DESTINATION ${CFGDIR}/
+   DESTINATION ${FILESDIR}/cfg
    COMPONENT headers)
+
+install(FILES ${platforms}
+   DESTINATION ${FILESDIR}/platforms
+   COMPONENT headers)
+
