=== debian/changelog ===
cppcheck (1.90-4build1) focal; urgency=medium

  * No-change rebuild for libgcc-s1 package name change.

 -- Matthias Klose <doko@ubuntu.com>  Mon, 23 Mar 2020 07:11:55 +0100

cppcheck (1.90-4) unstable; urgency=medium

  * Re-add cppcheck-htmlreport which got lost in 1.90-2 (Closes: #949944).
  * Update Standards-Version to 4.5.0 (no changes needed).

 -- Joachim Reichel <reichel@debian.org>  Mon, 27 Jan 2020 22:38:54 +0100

cppcheck (1.90-3) unstable; urgency=medium

  * Improve debian/rules (thanks to Lisandro Meyer), in particular fix
    for parallel builds and simplifications (Closes: #949181).
  * Add versioned Depends: cppcheck to cppcheck-gui due to the cfg files
    (Closes: #949199, LP: #1854552).
  * Remove unused debian/clean and debian/dirs.

 -- Joachim Reichel <reichel@debian.org>  Sat, 18 Jan 2020 10:22:50 +0100

cppcheck (1.90-2) unstable; urgency=medium

  * Use build system based on cmake which supports generation of *.qm files
    required for translations (Closes: #948885).
  * Recreate all patches as necessary. This should also fix usage of addons.
  * Enable QCharts support (Closes: #948888).

 -- Joachim Reichel <reichel@debian.org>  Thu, 16 Jan 2020 22:12:42 +0100

cppcheck (1.90-1) unstable; urgency=medium

  * New upstream release.
  * Remove patch bug-9353 (fixed upstream).
  * Remove debian/source/include-binaries (unnecessary, added by accident
    in 1.77-1).
  * Use debhelper compat version 12 (no changes needed).

 -- Joachim Reichel <reichel@debian.org>  Mon, 30 Dec 2019 10:07:19 +0100
