=== debian/control ===
--- 
+++ 
@@ -2,10 +2,11 @@
 Section: devel
 Priority: optional
 Maintainer: Joachim Reichel <reichel@debian.org>
-Build-Depends: debhelper (>= 11), dpkg-dev (>= 1.15.7~), xsltproc, docbook-xsl,
-  docbook-xml, libpcre3-dev, libtinyxml2-dev (>= 6.2.0+dfsg), qt5-qmake, qtbase5-dev,
-  qtbase5-dev-tools, gdb, dh-python, python3-all
-Standards-Version: 4.4.1
+Build-Depends: debhelper-compat (= 12), dh-sequence-python3, dpkg-dev (>= 1.15.7~),
+  xsltproc, docbook-xsl, docbook-xml, cmake,libtinyxml2-dev (>= 6.2.0+dfsg),
+  libpcre3-dev, qt5-qmake, qtbase5-dev, qtbase5-dev-tools, qttools5-dev,
+  libqt5charts5-dev, gdb, dh-python, python3-all
+Standards-Version: 4.5.0
 Rules-Requires-Root: no
 Homepage: http://sourceforge.net/p/cppcheck/wiki/Home/
 
@@ -51,7 +52,7 @@
 
 Package: cppcheck-gui
 Architecture: any
-Depends: ${shlibs:Depends}, ${misc:Depends}
+Depends: ${shlibs:Depends}, ${misc:Depends}, cppcheck (= ${binary:Version})
 Suggests: python3, clang
 Description: tool for static C/C++ code analysis (GUI)
  Cppcheck is a command-line tool that tries to detect bugs that your
